> For the complete documentation index, see [llms.txt](https://docs.alphageo.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.alphageo.ai/for-developers/alphageo-data-api/financial-impact-analytics-api.md).

# Financial Impact Analytics API

This endpoint provides data for real estate cashflow modelling. The metrics translate climate risk and resilience features into various cashflow items such as rate of increase in insurance, projected utility costs, and discount rates.

## Endpoint

<pre class="language-rest"><code class="lang-rest"><strong>GET https://app.alphageo.ai/api/public/v1/analytics
</strong></code></pre>

## Parameters

<table><thead><tr><th>Parameters</th><th data-type="checkbox">Required</th><th>Type</th><th>Description</th></tr></thead><tbody><tr><td>asset_id</td><td>false</td><td>string (UUID)</td><td>The unique identifier of an asset uploaded to your institution's account.</td></tr><tr><td>address</td><td>false</td><td>string</td><td>Full address of the location</td></tr><tr><td>scenario</td><td>true</td><td>string</td><td><p>Identifier for CMIP6 Emission Scenarios.</p><p><em>Available values</em> : SSP245, SSP370, SSP585</p></td></tr><tr><td>longitude</td><td>false</td><td>number</td><td>Longitude of the location that being queried.</td></tr><tr><td>latitude</td><td>false</td><td>number</td><td>Latitude of the location that being queried.</td></tr></tbody></table>

### Query Validation Priority

When calling these endpoints, you must provide **at least one** way to identify the location. If multiple parameters are supplied, the API resolves the query using the following precedence:

1. **`asset_id`**: If provided, the API looks up the asset under your institution's profile.
2. **`latitude` & `longitude`**: If `asset_id` is not provided, the API looks up data by coordinates.
3. **`address`**: If neither of the above are provided, the API performs geocoding to resolve coordinates.

If none of these parameters are supplied, the API returns a `400 Bad Request` with an error message.

## Example requests

#### cURL

```bash
$ curl --location 'https://app.alphageo.ai/api/public/v1/analytics?longitude=-97.2805288&latitude=32.7376509&period=2035&scenario=SSP245' \
--header 'Authorization: dse3X8de878c37b2fd6835c52390303fk15fc3'
```

#### Python

```python
import requests

url = "https://app.alphageo.ai/api/public/v1/analytics?longitude=-97.2805288&latitude=32.7376509&period=2035&scenario=SSP245"

payload = {}
headers = {
  'Authorization': 'dse3X8de878c37b2fd6835c52390303fk15fc3'
}

response = requests.request("GET", url, headers=headers, data=payload)

print(response.text)

```

## Example response

A successful response containing analytics of the given location.

```json
{
  "identifiers": {
    "SCENARIO": "SSP245"
  },
  "insurance": {
    "INS_RATE_FIRE": 0,
    "INS_RATE_FLOOD": -1.07,
    "INS_RATE_ANNUAL": -1.07
  },
  "utility": {
    "UTIL_RATE_COOLING": 0.38,
    "UTIL_RATE_HEATING": -0.41,
    "UTIL_RATE_ANNUAL": -0.03
  },
  "capex": {
    "CAPEX_FIRE": 0,
    "CAPEX_FLOOD": 0,
    "CAPEX_CDD": 0,
    "CAPEX_ANNUAL": 0
  },
  "discount": {
    "10_YEAR_DISCOUNT": 0.09,
    "25_YEAR_DISCOUNT": 0.22,
    "75_YEAR_DISCOUNT": 0.38
  },
  "operation_downtime": {
    "DOWNTIME_DAYS_ANNUAL": 0.08
  },
  "operation_efficiency": {
    "EFFICIENCY_LOSS_ANNUAL": 0.68
  },
  "workforce_productivity": {
    "PRODUCTIVITY_LOSS_ANNUAL": 1.26
  },
  "maintenance_cost": {
    "MAINT_RATE_ANNUAL": -0.04
  },
  "insurability": {
    "UNINSURABLE_COASTAL": 0,
    "UNINSURABLE_FIRE": 0,
    "UNINSURABLE_INLAND": 0,
    "UNINSURABLE_TOTAL": 0
  },
  "data_version": "Aug 2024"
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.alphageo.ai/for-developers/alphageo-data-api/financial-impact-analytics-api.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
